Bug 202683 - CVE-2006-3467 Xorg PCF handling Integer overflow
CVE-2006-3467 Xorg PCF handling Integer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libXfont (Show other bugs)
6
All Linux
high Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
impact=important,source=vendorsec,rep...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 16:27 EDT by Mark J. Cox (Product Security)
Modified: 2014-06-18 05:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 13:23:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-08-15 16:27:12 EDT
Same issue affects fc6test2

+++ This bug was initially created as a clone of Bug #202469 +++

An integer overflow was discovered in the way freetype processes malformed PCF
files.  It seems that Xorg also contains the same PCF processing code as
freetype, there it too is vulnerable this issue.

We initally described this issue for freetype in bug 190593.

The upstream bug is here:
https://bugs.freedesktop.org/show_bug.cgi?id=7535

-- Additional comment from bressers@redhat.com on 2006-08-14 14:09 EST --
The upstream patch is attachment 134155 [details]

-- Additional comment from bressers@redhat.com on 2006-08-14 14:37 EST --
We should also try to fix this in FC6

-- Additional comment from sandmann@redhat.com on 2006-08-14 14:58 EST --
Moving to libXfont component.

-- Additional comment from sandmann@redhat.com on 2006-08-14 18:56 EST --
New packages:

xorg-x11-6.8.2-1.EL.13.37


-- Additional comment from updates@fedora.redhat.com on 2006-08-14 19:27 EST --
libXfont-1.0.0-3 has been pushed for fc5, which should resolve this issue.  If
these problems are still present in this version, then please make note of it in
this bug report.

Note You need to log in before you can comment on or make changes to this bug.